From 17999db854c109181e1ea383cd1c63d04bdd78fb Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Sun, 28 Oct 2018 18:57:56 -0400
Subject: [PATCH 2/2] Cachebust hits to the counter. (re. #14922)

---
 wiki/src/install/inc/js/download.js | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/wiki/src/install/inc/js/download.js b/wiki/src/install/inc/js/download.js
index 6e639dbbd7..589f74fccc 100644
--- a/wiki/src/install/inc/js/download.js
+++ b/wiki/src/install/inc/js/download.js
@@ -172,12 +172,13 @@ document.addEventListener("DOMContentLoaded", function() {
 
   function hitCounter(status) {
     try {
-      var counter_url, url, scenario, version;
+      var counter_url, url, scenario, version, cachebust;
       counter_url = "https://tails.boum.org/install/download/counter";
       url = window.location.href.split("/");
       scenario = url[url.lastIndexOf("install") + 1];
       version = document.getElementById("tails-version").textContent.replace("\n", "");
-      fetch(counter_url + "?scenario=" + scenario + "&version=" + version + "&status=" + status);
+      cachebust = Math.round(new Date().getTime() / 1000);
+      fetch(counter_url + "?scenario=" + scenario + "&version=" + version + "&status=" + status + "&cachebust=" + cachebust);
     } catch (e) { } // Ignore if we fail to hit the download counter
   }
 
-- 
2.19.1

